org.apache.http.client.fluent

## Class Response

- java.lang.Object
- - org.apache.http.client.fluent.Response

-     public class Response
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `discardContent()` Discards response content and deallocates all resources associated with it.
    `<T> T` | `handleResponse(ResponseHandler<T> handler)` Handles the response using the specified `ResponseHandler`
    `Content` | `returnContent()`
    `org.apache.http.HttpResponse` | `returnResponse()`
    `void` | `saveContent(File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### discardContent

          public void discardContent()

      Discards response content and deallocates all resources associated with it.

    - #### handleResponse

          public <T> T handleResponse(ResponseHandler<T> handler)
                           throws ClientProtocolException,
                                  IOException

      Handles the response using the specified `ResponseHandler`
      Throws:
        `ClientProtocolException`
        `IOException`

    - #### returnContent

          public Content returnContent()
                                throws ClientProtocolException,
                                       IOException

      Throws:
        `ClientProtocolException`
        `IOException`

    - #### returnResponse

          public org.apache.http.HttpResponse returnResponse()
                                                      throws IOException

      Throws:
        `IOException`

    - #### saveContent

          public void saveContent(File file)
                           throws IOException

      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.